Skip to main content
GET
/
wallets
/
{id}
/
positions
Get Market Positions
curl --request GET \
  --url https://sandbox.api.btdx.io/wallets/{id}/positions \
  --header 'authorization: <authorization>'
{
  "_meta": {
    "_count": 123,
    "_page": {
      "_pageNumber": 123,
      "_pageSize": 123,
      "_totalElements": 123,
      "_totalPages": 123
    }
  },
  "positions": [
    {
      "market": {
        "_ref": "<string>",
        "_ids": [
          "<string>"
        ]
      },
      "walletId": "<string>",
      "exposures": {}
    }
  ],
  "markets": [
    {
      "id": "<string>",
      "name": "<string>",
      "published": true,
      "suspended": true,
      "lockAt": "2023-11-07T05:31:56Z",
      "settledAt": "2023-11-07T05:31:56Z",
      "event": {
        "_ref": "<string>",
        "_ids": [
          "<string>"
        ]
      }
    }
  ]
}

Headers

authorization
string
required

Header with the accessToken for the current session

Path Parameters

id
string
required

wallet id

Query Parameters

marketIds
string[]
required

List of market ids to filter positions by

Response

OK

_meta
object
positions
object[]
markets
object[]